Unit IntvDis;

Interface

Uses Profile;

Type
  TDisArray   = Packed Array[0..62 * 1024 - 1] Of Boolean;
  TGameROM    = Packed Array[0..65535] Of Byte;
  CP1600Mem   = Packed Array[0..65535] Of Word;
  CP1600Regs  = Packed Array[0..7] Of Word;

Const
  ListingFileName : String = 'LISTING.ASM';

Var
  Executed : TDisArray;
  Branched : TDisArray;

Implementation

Uses HexWrite,Base;

End.

// ----------------------------------------------------------------------
// IntvWin - Mattel Intellivision Emulator
// Copyright (C) 2000 John Dullea
//
//  This program is free software; you can redistribute it and/or modify
//  it under the terms of the GNU General Public License as published by
//  the Free Software Foundation; either version 2 of the License, or
//  (at your option) any later version.
//
//  This program is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//  GNU General Public License for more details.
//
//  You should have received a copy of the GNU General Public License
//  along with this program; if not, write to the Free Software
//  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
// ----------------------------------------------------------------------
